#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x624fe8d6, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x6bc3fbc0, __VMLINUX_SYMBOL_STR(__unregister_chrdev) },
	{ 0x122e6e41, __VMLINUX_SYMBOL_STR(cpu_tss) },
	{ 0x5e25804, __VMLINUX_SYMBOL_STR(__request_region) },
	{ 0xbf1da463, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x9b388444, __VMLINUX_SYMBOL_STR(get_zeroed_page) },
	{ 0x6bf1c17f, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0x6c09c2a4, __VMLINUX_SYMBOL_STR(del_timer) },
	{ 0xea3f725d, __VMLINUX_SYMBOL_STR(_raw_write_lock_irqsave) },
	{ 0xc8b57c27, __VMLINUX_SYMBOL_STR(autoremove_wake_function) },
	{ 0x8526c35a, __VMLINUX_SYMBOL_STR(remove_wait_queue) },
	{ 0x85d3b2ec, __VMLINUX_SYMBOL_STR(tty_hung_up_p) },
	{ 0x7bf413e4, __VMLINUX_SYMBOL_STR(no_llseek) },
	{ 0x6dc0c9dc, __VMLINUX_SYMBOL_STR(down_interruptible) },
	{ 0x9c8781b3, __VMLINUX_SYMBOL_STR(device_destroy) },
	{ 0x53da39a0, __VMLINUX_SYMBOL_STR(__register_chrdev) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0x9dbbe89, __VMLINUX_SYMBOL_STR(tty_register_driver) },
	{ 0x9580deb, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xd059e008, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x53a65054, __VMLINUX_SYMBOL_STR(put_tty_driver) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x849089f4, __VMLINUX_SYMBOL_STR(tty_set_operations) },
	{ 0xd20f3020, __VMLINUX_SYMBOL_STR(_raw_write_unlock_irqrestore) },
	{ 0x9e88526, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x4f8b5ddb, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0xffd5a395, __VMLINUX_SYMBOL_STR(default_wake_function) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x150ad92b, __VMLINUX_SYMBOL_STR(ioport_resource) },
	{ 0x1916e38c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x735220f7, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xe0bac0a5, __VMLINUX_SYMBOL_STR(do_SAK) },
	{ 0xd7be247c, __VMLINUX_SYMBOL_STR(mutex_lock_interruptible) },
	{ 0x9824e78b, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x4e28d94f, __VMLINUX_SYMBOL_STR(tty_port_register_device) },
	{ 0xfaef0ed, __VMLINUX_SYMBOL_STR(__tasklet_schedule) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0xde39ad13, __VMLINUX_SYMBOL_STR(tty_port_init) },
	{ 0x66e03683, __VMLINUX_SYMBOL_STR(tty_port_destroy) },
	{ 0x6dc6dd56, __VMLINUX_SYMBOL_STR(down) },
	{ 0x9545af6d, __VMLINUX_SYMBOL_STR(tasklet_init) },
	{ 0xde07f96d, __VMLINUX_SYMBOL_STR(device_create) },
	{ 0x16e5c2a, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0x1bb31047, __VMLINUX_SYMBOL_STR(add_timer) },
	{ 0x2072ee9b, __VMLINUX_SYMBOL_STR(request_threaded_irq) },
	{ 0x35505503, __VMLINUX_SYMBOL_STR(tty_insert_flip_string_flags) },
	{ 0xe523ad75, __VMLINUX_SYMBOL_STR(synchronize_irq) },
	{ 0x82072614, __VMLINUX_SYMBOL_STR(tasklet_kill) },
	{ 0x722c375c, __VMLINUX_SYMBOL_STR(module_put) },
	{ 0xc6cbbc89, __VMLINUX_SYMBOL_STR(capable) },
	{ 0x580f19a7, __VMLINUX_SYMBOL_STR(tty_unregister_device) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x67b27ec1, __VMLINUX_SYMBOL_STR(tty_std_termios) },
	{ 0xb2fd5ceb, __VMLINUX_SYMBOL_STR(__put_user_4) },
	{ 0x1091a13f, __VMLINUX_SYMBOL_STR(tty_wait_until_sent) },
	{ 0x9978b90b, __VMLINUX_SYMBOL_STR(pci_bus_read_config_word) },
	{ 0xdb7305a1, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xd62c833f, __VMLINUX_SYMBOL_STR(schedule_timeout) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0xe5815f8a, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
	{ 0x8d15114a, __VMLINUX_SYMBOL_STR(__release_region) },
	{ 0x6d01eb19, __VMLINUX_SYMBOL_STR(pci_unregister_driver) },
	{ 0x4a484ceb, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xe259ae9e, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x680ec266, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xdded38fd, __VMLINUX_SYMBOL_STR(tty_unregister_driver) },
	{ 0x26e215d2, __VMLINUX_SYMBOL_STR(tty_hangup) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0xa6bbd805, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x2207a57f, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0xeb72eda3, __VMLINUX_SYMBOL_STR(__tty_alloc_driver) },
	{ 0xc9fef317, __VMLINUX_SYMBOL_STR(add_wait_queue) },
	{ 0x9c55cec, __VMLINUX_SYMBOL_STR(schedule_timeout_interruptible) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x73172b1b, __VMLINUX_SYMBOL_STR(tty_port_link_device) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x3bb5114a, __VMLINUX_SYMBOL_STR(prepare_to_wait) },
	{ 0x78e739aa, __VMLINUX_SYMBOL_STR(up) },
	{ 0x87ad9fb7, __VMLINUX_SYMBOL_STR(__pci_register_driver) },
	{ 0xf287ac5b, __VMLINUX_SYMBOL_STR(class_destroy) },
	{ 0x7dbfb918, __VMLINUX_SYMBOL_STR(pci_get_device) },
	{ 0xf08242c2, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0xb558d3ad, __VMLINUX_SYMBOL_STR(tty_flip_buffer_push) },
	{ 0x5315a654, __VMLINUX_SYMBOL_STR(tty_port_tty_set) },
	{ 0x480d43e, __VMLINUX_SYMBOL_STR(pci_enable_device) },
	{ 0x4f6b400b, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x235c15a7, __VMLINUX_SYMBOL_STR(__class_create) },
	{ 0xcb8d67b0, __VMLINUX_SYMBOL_STR(device_set_wakeup_capable) },
	{ 0x4a0ce1d4, __VMLINUX_SYMBOL_STR(try_module_get) },
	{ 0xf20dabd8, __VMLINUX_SYMBOL_STR(free_irq) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00009999bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004027bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00005027bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004037bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00005037bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00000002bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004056bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00006056bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004055bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004066bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00005066bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00008138bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00009138bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00008156bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00009156bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00008166bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00009166bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00005079bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004089bc*sc*i*");
MODULE_ALIAS("pci:v00001409d00007168sv00001409sd00004096bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00001002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00001004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00001008bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00001016bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00002002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00002008bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00003002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00003004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00000001sv00000001sd00003008bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000001bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000008bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000101bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000102bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000104bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000100bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000008bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000084bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000088bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000002bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000004bc*sc*i*");
MODULE_ALIAS("pci:v00001FD4d00001999sv00001FD4sd00000004bc*sc*i*");

MODULE_INFO(srcversion, "6489A2410257EF5D13A16ED");
